//响应数据状态
function reponseMsg(value) {
    console.log(value);
    var msg = '';

    if (value[0] === 0x81) {
        //换电
        if (value[2] === 0x01) {
            msg = '成功';
        }

        if (value[2] === 0x02) {
            msg = '密钥验证失败';
        }

        if (value[2] === 0x03) {
            msg = '前一个流程未结束';
        }

        if (value[2] === 0x04) {
            msg = '空仓门不存在';
        }

        if (value[2] === 0x05) {
            msg = '满仓门不存在';
        }

        if (value[2] === 0x06) {
            msg = '柜子禁用';
        }

        if (value[2] === 0x07) {
            msg = '上次操作未确认';
        }
    }

    if (value[0] === 0x82) {
        //租电
        if (value[2] === 0x01) {
            msg = '成功';
        }

        if (value[2] === 0x02) {
            msg = '密钥验证失败';
        }

        if (value[2] === 0x03) {
            msg = '前一个流程未结束';
        }

        if (value[2] === 0x04) {
            msg = '柜子禁用';
        }

        if (value[2] === 0x05) {
            msg = '租电仓门号不存在';
        }

        if (value[2] === 0x06) {
            msg = '上次操作未确认';
        }
    }

    if (value[0] === 0x83) {
        //还电
        if (value[2] === 0x01) {
            msg = '成功';
        }

        if (value[2] === 0x02) {
            msg = '密钥验证失败';
        }

        if (value[2] === 0x03) {
            msg = '前一个流程未结束';
        }

        if (value[2] === 0x04) {
            msg = '指定的还电仓门号不存在';
        }

        if (value[2] === 0x05) {
            msg = '柜子禁用';
        }

        if (value[2] === 0x06) {
            msg = '上次操作未确认';
        }
    }

    return msg;
} //汇报数据状态

function reportMsg(value) {
    var msg = '';

    if (value[0] === 0x81) {
        //换电
        if (value[2] === 0x01) {
            msg = '成功';
        }

        if (value[2] === 0x14) {
            msg = '空仓门开启失败，终止流程';
        }

        if (value[2] === 0x15) {
            msg = '用户没有放入电池，终止流程';
        }

        if (value[2] === 0x16) {
            msg = '用户与放入的电池不匹配，终止流程';
        }

        if (value[2] === 0x17) {
            msg = '无法识别电池，终止流程';
        }

        if (value[2] === 0x18) {
            msg = '满电仓门开启失败，终止流程';
        }

        if (value[2] === 0x19) {
            msg = '用户取出电池,未关仓门，流程正常结束';
        }

        if (value[2] === 0x1a) {
            msg = '换电成功';
        }

        if (value[2] === 0x1b) {
            msg = '用户关闭空仓门超时,终止流程';
        }

        if (value[2] === 0x1c) {
            msg = '用户长时间未取电池，终止流程';
        }

        if (value[2] === 0x1d) {
            msg = '用户关闭仓门，未取电池，终止流程';
        }
    }

    if (value[0] === 0x82) {
        //租电
        if (value[2] === 0x01) {
            msg = '成功';
        }

        if (value[2] === 0x1e) {
            msg = '租电仓门开启失败，终止租电流程';
        }

        if (value[2] === 0x1f) {
            msg = '用户关闭仓门，未取租用电池，终止流程；';
        }

        if (value[2] === 0x20) {
            msg = '租电成功';
        }

        if (value[2] === 0x21) {
            msg = '用户未关闭仓门，未取走租用电池，超时终止流程';
        }

        if (value[2] === 0x22) {
            msg = '用户未关闭仓门，取走租用电池，超时终止流';
        }
    }

    if (value[0] === 0x83) {
        //还电
        if (value[2] === 0x01) {
            msg = '成功';
        }

        if (value[2] === 0x28) {
            msg = '还电仓门开启失败，终止还电流程';
        }

        if (value[2] === 0x29) {
            msg = '归还电池编码不匹配，终止还电流程';
        }

        if (value[2] === 0x2a) {
            msg = '用户关闭还电仓门超时，终止还电流程';
        }

        if (value[2] === 0x2b) {
            msg = '还电成功';
        }
    }

    return msg;
}

module.exports = {
    reponseMsg: reponseMsg,
    reportMsg: reportMsg
};
