import en from './en.json'
import zh from './zh.json'
import Vue from 'vue';
import VueI18n from 'vue-i18n'
import {
	Language
} from '@/utils/util.js'
Vue.use(VueI18n);
let i18nConfig = {
	locale: Language,
	messages: {
		en,
		zh
	}
}
let i18n = new VueI18n(i18nConfig)
export default i18n